## org.hibernate.ejb
Interface HibernateEntityManagerFactory

All Superinterfaces:
  EntityManagerFactory, Serializable

All Known Implementing Classes:
  EntityManagerFactoryImpl

    public interface HibernateEntityManagerFactory

extends EntityManagerFactory, Serializable

Contract giving access to the underlying `SessionFactory` from an `EntityManagerFactory`

Method Summary
`SessionFactory` `getSessionFactory()`

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, createEntityManager, createEntityManager, getCache, getCriteriaBuilder, getMetamodel, getPersistenceUnitUtil, getProperties, isOpen`

Method Detail

### getSessionFactory

    SessionFactory getSessionFactory()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.